%global rosdistro fuerte
%global stackname gencpp
%global gitrev 403d067

Name:           ros-%{rosdistro}-%{stackname}
Version:        0.3.4
Release:        2.git%{gitrev}%{?dist}
Summary:        ROS C++ Message Generation

License:        BSD
URL:            http://ros.org/
#wget --content-disposition https://github.com/ros/gencpp/tarball/0.3.4
Source0:        ros-%{stackname}-%{version}-0-g%{gitrev}.tar.gz
BuildArch:      noarch
Provides:       ros-%{stackname} = %{version}-%{release}

BuildRequires:  cmake
BuildRequires:  gtest-devel
BuildRequires:  python-setuptools-devel
BuildRequires:  ros-%{rosdistro}-catkin-devel
BuildRequires:  ros-%{rosdistro}-genmsg-devel

%description
%{name} generates C++ message definitions from msg files

%package devel
Summary: Development files for %{name}
Requires: %{name} = %{version}-%{release}
Provides: ros-%{stackname} = %{version}-%{release}

%description devel
%{summary}.

%prep
%setup -q -n ros-%{stackname}-%{gitrev}

%build
mkdir build
pushd build
%cmake -DCMAKE_INSTALL_PREFIX:PATH=/opt/ros/fuerte -DSETUPTOOLS_DEB_LAYOUT=OFF ..
popd

%install
rm -rf $RPM_BUILD_ROOT
make -C build install DESTDIR=$RPM_BUILD_ROOT

%files
%doc
/opt/ros/%{rosdistro}/bin/*
/opt/ros/%{rosdistro}/etc/langs
%exclude /opt/ros/%{rosdistro}/share/*/cmake/
/opt/ros/%{rosdistro}/share/%{stackname}/
/opt/ros/%{rosdistro}/lib/python?.?/site-packages/%{stackname}
/opt/ros/%{rosdistro}/lib/python?.?/site-packages/*egg-info

%files devel
/opt/ros/%{rosdistro}/lib/pkgconfig/*.pc
/opt/ros/%{rosdistro}/share/*/cmake/

%changelog
* Tue Mar 19 2013 Rich Mattes <richmattes@gmail.com> - 0.3.4-2.git403d067
- Rebuild for new copr

* Sun Jan 13 2013 Rich Mattes <richmattes@gmail.com> - 0.3.4-1.git403d067
- Initial fuerte package

